- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Portable_Server::Creation_Time Class Reference

`#include <Creation_Time.h>`

List of all members.

## Public Member Functions
| Creation_Time (const ACE_Time_Value &creation_time)
| Creation_Time (void)
void | creation_time (const void *creation_time)
const void * | creation_time (void) const
bool | operator== (const Creation_Time &rhs) const
bool | operator!= (const Creation_Time &rhs) const
bool | operator== (const Temporary_Creation_Time &rhs) const
bool | operator!= (const Temporary_Creation_Time &rhs) const
## Static Public Member Functions
static CORBA::ULong | creation_time_length (void)
## Protected Types
enum | { SEC_FIELD = 0, USEC_FIELD = 1 }
## Protected Attributes
CORBA::ULong | time_stamp_ [2]
| Timestamp.

## Member Enumeration Documentation

anonymous enum`[protected]`

Enumerator:

  SEC_FIELD |
  USEC_FIELD |

## Constructor & Destructor Documentation

ACE_INLINE TAO::Portable_Server::Creation_Time::Creation_Time | ( | const ACE_Time_Value & | creation_time | ) |

ACE_INLINE TAO::Portable_Server::Creation_Time::Creation_Time | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE const void * TAO::Portable_Server::Creation_Time::creation_time | ( | void |  | ) | const

ACE_INLINE void TAO::Portable_Server::Creation_Time::creation_time | ( | const void * | creation_time | ) |

ACE_INLINE CORBA::ULong TAO::Portable_Server::Creation_Time::creation_time_length | ( | void |  | ) | `[static]`

ACE_INLINE bool TAO::Portable_Server::Creation_Time::operator!= | ( | const Temporary_Creation_Time & | rhs | ) | const

ACE_INLINE bool TAO::Portable_Server::Creation_Time::operator!= | ( | const Creation_Time & | rhs | ) | const

ACE_INLINE bool TAO::Portable_Server::Creation_Time::operator== | ( | const Temporary_Creation_Time & | rhs | ) | const

ACE_INLINE bool TAO::Portable_Server::Creation_Time::operator== | ( | const Creation_Time & | rhs | ) | const

## Member Data Documentation

CORBA::ULong TAO::Portable_Server::Creation_Time::time_stamp_[2]`[protected]`

Timestamp.

The documentation for this class was generated from the following files:

- Creation_Time.h
- Creation_Time.inl